# ChallengeResponseProvider (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.method
Interface ChallengeResponseProvider

All Known Implementing Classes:
  PasswordResponseProvider

    public interface ChallengeResponseProvider

Method Summary
`char[]` `getResponse(String prompt, boolean echo)`
`List<String>` `getSubmethods()`
`void` `init(Resource resource, String name, String instruction)`
`boolean` `shouldRetry()`

Method Detail

### getSubmethods

    List<String> getSubmethods()

### init

    void init(Resource resource,
              String name,
              String instruction)

### getResponse

    char[] getResponse(String prompt,
                       boolean echo)

### shouldRetry

    boolean shouldRetry()

Copyright © 2009-2011. All Rights Reserved.